# Class CIM_SystemIdentification
extends CIM_ManagedElement

A Namespace may represent data for one or many systems, that are local, remote (different than the system on which the ObjectManager is running) or aggregated. The System Identification class provides enough data to identify the system(s) represented in the Namespace. It is weak to the Namespace.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SystemIdentification

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A Namespace may represent data for one or many systems, that are local, remote (different than the system on which the ObjectManager is running) or aggregated. The System Identification class provides enough data to identify the system(s) represented in the Namespace. It is weak to the Namespace.
UMLPackagePath | string | CIM::Interop
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CreationClassName | string |
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
Name | string |
Description | string | A string uniquely identifying the name of the system represented in the Namespace.
Key | boolean | true
MaxLen | uint32 | 256
NamespaceCreationClassName | string |
Description | string | The scoping Namespace's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_Namespace.CreationClassName
NamespaceName | string |
Description | string | The scoping Namespace's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_Namespace.Name
ObjectManagerCreationClassName | string |
Description | string | The scoping ObjectManager's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_Namespace.ObjectManagerCreationClassName
ObjectManagerName | string |
Description | string | The scoping ObjectManager's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_Namespace.ObjectManagerName
SystemCreationClassName | string |
Description | string | The scoping System's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_Namespace.SystemCreationClassName
SystemName | string |
Description | string | The scoping System's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_Namespace.SystemName
FormatDescriptions | string[] |
ArrayType | string | Indexed
Description | string | Strings further describing the format of the system identification information.
ModelCorrespondence | string | CIM_SystemIdentification.IdentificationFormats, CIM_SystemIdentification.IdentificationData
Write | boolean | true
IdentificationData | string[] |
ArrayType | string | Indexed
Description | string | Strings containing the system identification information. The format is described by the corresponding array item in IdentificationFormats.
ModelCorrespondence | string | CIM_SystemIdentification.IdentificationFormats, CIM_SystemIdentification.FormatDescriptions
Write | boolean | true
IdentificationFormats | uint16[] |
ArrayType | string | Indexed
Description | string | Enumeration indicating the format of the system identification and/or addressing information.
ModelCorrespondence | string | CIM_SystemIdentification.IdentificationData, CIM_SystemIdentification.FormatDescriptions
Required | boolean | true
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11
Values | string | Unknown, Other, Short DNS Name, Fully qualified DNS Name, Windows Domain Name, NetWare Server Name, Unix Hostname, Globally Unique System Identifier, IP Address, Modem Dialup String, MAC Address, IPMI Address
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods